Get Offramp Quote
curl --request POST \
--url https://api.bullring.finance/v2/ramp/{subaccountId}/banking/offramp/quote \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"from": {
"asset": "USDC",
"chain": "ETH-SEPOLIA"
},
"to": {
"amount": 100,
"currency": "BRL"
}
}
'import requests
url = "https://api.bullring.finance/v2/ramp/{subaccountId}/banking/offramp/quote"
payload = {
"from": {
"asset": "USDC",
"chain": "ETH-SEPOLIA"
},
"to": {
"amount": 100,
"currency": "BRL"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: {asset: 'USDC', chain: 'ETH-SEPOLIA'},
to: {amount: 100, currency: 'BRL'}
})
};
fetch('https://api.bullring.finance/v2/ramp/{subaccountId}/banking/offramp/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "offramp",
"from": {
"amount": "1.9314250621947842",
"asset": "USDC",
"network": "CELO-SEPOLIA"
},
"to": {
"currency": "brl",
"gross_amount": "10",
"net_amount": "9.96",
"recipient_id": "540bbfd8-9bd6-4098-835b-840b63785597"
},
"pricing": {
"fx_rate": "5.1775242",
"fees": {
"offramp_fee": "0.04",
"offramp_fee_currency": "brl"
}
}
}Offramp
Get Offramp Quote
Get a quote to offramp crypto to fiat. This does not affect your Bullring balance.
POST
/
v2
/
ramp
/
{subaccountId}
/
banking
/
offramp
/
quote
Get Offramp Quote
Authorizations
Path Parameters
⌘I